wibble::net::http::FileParam Struct Referenceabstract

File upload parameter. More...

`#include <http.h>`

Inheritance diagram for wibble::net::http::FileParam:
[legend]

## Classes

struct | FileInfo
| Infomation about one uploaded file. More...

## Public Member Functions

virtual | ~FileParam ()
virtual bool | read (net::mime::Reader &mime_reader, std::map< std::string, std::string > headers, const std::string &outdir, const std::string &fname_blacklist, const std::string &client_fname, int sock, const std::string &boundary, size_t inputsize)=0
| Handle a file upload from a multipart/form-data file upload part. More...

## Detailed Description

File upload parameter.

## Constructor & Destructor Documentation

wibble::net::http::FileParam::~FileParam | ( |  | ) |

virtual

## Member Function Documentation

virtual bool wibble::net::http::FileParam::read | ( | net::mime::Reader & | mime_reader,
|  | std::map< std::string, std::string > | headers,
|  | const std::string & | outdir,
|  | const std::string & | fname_blacklist,
|  | const std::string & | client_fname,
|  | int | sock,
|  | const std::string & | boundary,
|  | size_t | inputsize
| ) |  |

pure virtual

Handle a file upload from a multipart/form-data file upload part.

Implemented in wibble::net::http::FileParamMulti, and wibble::net::http::FileParamSingle.

Referenced by wibble::net::http::Params::parse_multipart().

The documentation for this struct was generated from the following files:

- http.h
- http.cpp